package polygonnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Опрашивает полигон в сети
*/

// PolygonNet -- опрашивает полигон на базе
type PolygonNet struct {
	*sectionnet.SectionNet
}

// NewPolygonNet -- возвращает новый *PolygonNet
func NewPolygonNet(server types.IServer, bot types.IServBot) (*PolygonNet, error) {
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewPolygonNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewPolygonNet(): IServBot == nil")
		}
	}

	sf := &PolygonNet{
		SectionNet: sectionnet.NewSectionNet(server, bot, bot.Angar().Base().Polygon(), "http://wartank.ru/polygon"),
	}

	return sf, nil
}
